Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454441 - Review Request: R-bigmemory - Manage massive matrices in R using C++, with support for shared memory
Summary: Review Request: R-bigmemory - Manage massive matrices in R using C++, with su...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 454439 454440
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 14:45 UTC by Tom "spot" Callaway
Modified: 2008-11-22 16:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-14 12:46:59 UTC
tibbs: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-08 14:45:05 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/R-bigmemory.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/R-bigmemory-2.1-1.fc10.src.rpm
Description: 
Use C++ to create, store, access, and manipulate massive matrices. Under
*NIX, it also supports use of shared memory.

Comment 1 Jason Tibbitts 2008-11-06 03:23:52 UTC
It's been a while since this was submitted although the last blocker was only recently closed.  Unfortunately I think upstream has moved on a bit as I can no longer fetch the upstream source.  Did you want to update the package?

Comment 3 Jason Tibbitts 2008-11-07 18:25:23 UTC
I'm a little surprised to see %{__rm} in one of your specs; I don't recall that you used those in the past.  If you do intend them, you probably want %{__mkdir_p} and %{__cp} as well.  Or is there some specific reason that %{__rm} is being used?

* source files match upstream:
   c3ae302a5dc3806f49d59da0ef528e2ea9ead43367a02efd5f39de202709c262  
   bigmemory_2.3.tar.gz
* package meets naming and versioning guidelines.
X specfile does not use macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has only the expected R complaints.
* final provides and requires are sane:
   bigmemory.so()(64bit)
   R-bigmemory = 2.3-1.fc10
   R-bigmemory(x86-64) = 2.3-1.fc10
  =
   /bin/sh
   R
   libR.so()(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)
   libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
   texlive-latex

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* scriptlets are OK (R package registration).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

Comment 4 Tom "spot" Callaway 2008-11-07 18:48:56 UTC
Honestly, I don't know how those got in there. Probably grabbed an old autogenerated R addon spec as a base when I was making the package the first time around. 

New SRPM:
http://www.auroralinux.org/people/spot/review/new/R-bigmemory-2.3-2.fc10.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/R-bigmemory.spec

Comment 5 Jason Tibbitts 2008-11-07 19:13:22 UTC
Looks good.

APPROVED

Comment 6 Tom "spot" Callaway 2008-11-13 15:42:10 UTC
New Package CVS Request
=======================
Package Name: R-bigmemory
Short Description: Manage massive matrices in R using C++, with support for shared memory
Owners: spot
Branches: F-8 F-9 F-10 devel
InitialCC:

... and it's done.

Comment 7 Fedora Update System 2008-11-13 18:30:35 UTC
R-bigmemory-2.3-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/R-bigmemory-2.3-3.fc9

Comment 8 Fedora Update System 2008-11-13 18:30:38 UTC
R-bigmemory-2.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-bigmemory-2.3-3.fc10

Comment 9 Fedora Update System 2008-11-13 18:30:41 UTC
R-bigmemory-2.3-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/R-bigmemory-2.3-3.fc8

Comment 10 Fedora Update System 2008-11-14 12:46:56 UTC
R-bigmemory-2.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-11-14 12:47:57 UTC
R-bigmemory-2.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-11-22 16:45:44 UTC
R-bigmemory-2.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.